import { z } from 'zod';
export declare const GetSessionHistoryDetailedResponseItem: z.ZodObject<{
    _id: z.ZodString;
    channel: z.ZodString;
    client_version: z.ZodString;
    created_at: z.ZodString;
    event_description: z.ZodString;
    event_name: z.ZodString;
    game_mode: z.ZodString;
    joinable: z.ZodBoolean;
    joining: z.ZodArray<z.ZodObject<{
        Date: z.ZodString;
        State: z.ZodString;
        UserID: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        Date: string;
        UserID: string;
        State: string;
    }, {
        Date: string;
        UserID: string;
        State: string;
    }>, "many">;
    match_id: z.ZodString;
    matching_allies: z.ZodArray<z.ZodObject<{
        matching_parties: z.ZodArray<z.ZodObject<{
            match_attributes: z.ZodObject<{
                first_ticket_created_at: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                first_ticket_created_at: number;
            }, {
                first_ticket_created_at: number;
            }>;
            party_attributes: z.ZodRecord<z.ZodString, z.ZodAny>;
            party_id: z.ZodString;
            party_members: z.ZodArray<z.ZodObject<{
                extra_attributes: z.ZodRecord<z.ZodString, z.ZodAny>;
                user_id: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                user_id: string;
                extra_attributes: Record<string, any>;
            }, {
                user_id: string;
                extra_attributes: Record<string, any>;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            match_attributes: {
                first_ticket_created_at: number;
            };
            party_attributes: Record<string, any>;
            party_id: string;
            party_members: {
                user_id: string;
                extra_attributes: Record<string, any>;
            }[];
        }, {
            match_attributes: {
                first_ticket_created_at: number;
            };
            party_attributes: Record<string, any>;
            party_id: string;
            party_members: {
                user_id: string;
                extra_attributes: Record<string, any>;
            }[];
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        matching_parties: {
            match_attributes: {
                first_ticket_created_at: number;
            };
            party_attributes: Record<string, any>;
            party_id: string;
            party_members: {
                user_id: string;
                extra_attributes: Record<string, any>;
            }[];
        }[];
    }, {
        matching_parties: {
            match_attributes: {
                first_ticket_created_at: number;
            };
            party_attributes: Record<string, any>;
            party_id: string;
            party_members: {
                user_id: string;
                extra_attributes: Record<string, any>;
            }[];
        }[];
    }>, "many">;
    namespace: z.ZodString;
    party_id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    players: z.ZodArray<z.ZodObject<{
        Action: z.ZodString;
        Date: z.ZodString;
        UserID: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        Action: string;
        Date: string;
        UserID: string;
    }, {
        Action: string;
        Date: string;
        UserID: string;
    }>, "many">;
    region: z.ZodString;
    removed_reason: z.ZodString;
    server_name: z.ZodString;
    session_type: z.ZodString;
    status: z.ZodString;
    user_id: z.ZodString;
}, "strip", z.ZodTypeAny, {
    party_id?: string | null | undefined;
    user_id: string;
    status: string;
    namespace: string;
    session_type: string;
    created_at: string;
    channel: string;
    client_version: string;
    game_mode: string;
    joinable: boolean;
    match_id: string;
    matching_allies: {
        matching_parties: {
            match_attributes: {
                first_ticket_created_at: number;
            };
            party_attributes: Record<string, any>;
            party_id: string;
            party_members: {
                user_id: string;
                extra_attributes: Record<string, any>;
            }[];
        }[];
    }[];
    region: string;
    server_name: string;
    players: {
        Action: string;
        Date: string;
        UserID: string;
    }[];
    _id: string;
    event_description: string;
    event_name: string;
    joining: {
        Date: string;
        UserID: string;
        State: string;
    }[];
    removed_reason: string;
}, {
    party_id?: string | null | undefined;
    user_id: string;
    status: string;
    namespace: string;
    session_type: string;
    created_at: string;
    channel: string;
    client_version: string;
    game_mode: string;
    joinable: boolean;
    match_id: string;
    matching_allies: {
        matching_parties: {
            match_attributes: {
                first_ticket_created_at: number;
            };
            party_attributes: Record<string, any>;
            party_id: string;
            party_members: {
                user_id: string;
                extra_attributes: Record<string, any>;
            }[];
        }[];
    }[];
    region: string;
    server_name: string;
    players: {
        Action: string;
        Date: string;
        UserID: string;
    }[];
    _id: string;
    event_description: string;
    event_name: string;
    joining: {
        Date: string;
        UserID: string;
        State: string;
    }[];
    removed_reason: string;
}>;
export interface GetSessionHistoryDetailedResponseItem extends z.TypeOf<typeof GetSessionHistoryDetailedResponseItem> {
}
