import { z } from 'zod';
export declare const ActiveCustomGameResponse: z.ZodObject<{
    pagination: z.ZodObject<{
        next: z.ZodString;
        previous: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        next: string;
        previous: string;
    }, {
        next: string;
        previous: string;
    }>;
    sessions: z.ZodArray<z.ZodObject<{
        all_players: z.ZodArray<z.ZodString, "many">;
        created_at: z.ZodString;
        game_session_setting: z.ZodObject<{
            allow_join_in_progress: z.ZodBoolean;
            current_internal_player: z.ZodNumber;
            current_player: z.ZodNumber;
            map_name: z.ZodString;
            max_internal_player: z.ZodNumber;
            max_player: z.ZodNumber;
            mode: z.ZodString;
            num_bot: z.ZodNumber;
            password: z.ZodString;
            settings: z.ZodRecord<z.ZodString, z.ZodAny>;
        }, "strip", z.ZodTypeAny, {
            allow_join_in_progress: boolean;
            current_internal_player: number;
            current_player: number;
            map_name: string;
            max_internal_player: number;
            max_player: number;
            mode: string;
            num_bot: number;
            password: string;
            settings: Record<string, any>;
        }, {
            allow_join_in_progress: boolean;
            current_internal_player: number;
            current_player: number;
            map_name: string;
            max_internal_player: number;
            max_player: number;
            mode: string;
            num_bot: number;
            password: string;
            settings: Record<string, any>;
        }>;
        joinable: z.ZodBoolean;
        namespace: z.ZodString;
        players: z.ZodArray<z.ZodString, "many">;
        server: z.ZodObject<{
            allocation_id: z.ZodString;
            alternate_ips: z.ZodArray<z.ZodString, "many">;
            cpu_limit: z.ZodNumber;
            cpu_request: z.ZodString;
            deployment: z.ZodString;
            game_version: z.ZodString;
            image_version: z.ZodString;
            ip: z.ZodString;
            is_override_game_version: z.ZodBoolean;
            last_update: z.ZodString;
            mem_limit: z.ZodNumber;
            mem_request: z.ZodString;
            namespace: z.ZodString;
            params: z.ZodString;
            pod_name: z.ZodString;
            port: z.ZodNumber;
            ports: z.ZodRecord<z.ZodString, z.ZodNumber>;
            provider: z.ZodString;
            region: z.ZodString;
            session_id: z.ZodString;
            status: z.ZodString;
            status_history: z.ZodArray<z.ZodObject<{
                status: z.ZodString;
                time_stamp: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                status: string;
                time_stamp: string;
            }, {
                status: string;
                time_stamp: string;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            params: string;
            status: string;
            game_version: string;
            namespace: string;
            deployment: string;
            region: string;
            allocation_id: string;
            alternate_ips: string[];
            cpu_limit: number;
            cpu_request: string;
            image_version: string;
            ip: string;
            is_override_game_version: boolean;
            last_update: string;
            mem_limit: number;
            mem_request: string;
            pod_name: string;
            port: number;
            ports: Record<string, number>;
            provider: string;
            session_id: string;
            status_history: {
                status: string;
                time_stamp: string;
            }[];
        }, {
            params: string;
            status: string;
            game_version: string;
            namespace: string;
            deployment: string;
            region: string;
            allocation_id: string;
            alternate_ips: string[];
            cpu_limit: number;
            cpu_request: string;
            image_version: string;
            ip: string;
            is_override_game_version: boolean;
            last_update: string;
            mem_limit: number;
            mem_request: string;
            pod_name: string;
            port: number;
            ports: Record<string, number>;
            provider: string;
            session_id: string;
            status_history: {
                status: string;
                time_stamp: string;
            }[];
        }>;
        session_id: z.ZodString;
        session_type: z.ZodString;
        spectators: z.ZodArray<z.ZodString, "many">;
    }, "strip", z.ZodTypeAny, {
        game_session_setting: {
            allow_join_in_progress: boolean;
            current_internal_player: number;
            current_player: number;
            map_name: string;
            max_internal_player: number;
            max_player: number;
            mode: string;
            num_bot: number;
            password: string;
            settings: Record<string, any>;
        };
        namespace: string;
        session_type: string;
        created_at: string;
        joinable: boolean;
        session_id: string;
        all_players: string[];
        players: string[];
        server: {
            params: string;
            status: string;
            game_version: string;
            namespace: string;
            deployment: string;
            region: string;
            allocation_id: string;
            alternate_ips: string[];
            cpu_limit: number;
            cpu_request: string;
            image_version: string;
            ip: string;
            is_override_game_version: boolean;
            last_update: string;
            mem_limit: number;
            mem_request: string;
            pod_name: string;
            port: number;
            ports: Record<string, number>;
            provider: string;
            session_id: string;
            status_history: {
                status: string;
                time_stamp: string;
            }[];
        };
        spectators: string[];
    }, {
        game_session_setting: {
            allow_join_in_progress: boolean;
            current_internal_player: number;
            current_player: number;
            map_name: string;
            max_internal_player: number;
            max_player: number;
            mode: string;
            num_bot: number;
            password: string;
            settings: Record<string, any>;
        };
        namespace: string;
        session_type: string;
        created_at: string;
        joinable: boolean;
        session_id: string;
        all_players: string[];
        players: string[];
        server: {
            params: string;
            status: string;
            game_version: string;
            namespace: string;
            deployment: string;
            region: string;
            allocation_id: string;
            alternate_ips: string[];
            cpu_limit: number;
            cpu_request: string;
            image_version: string;
            ip: string;
            is_override_game_version: boolean;
            last_update: string;
            mem_limit: number;
            mem_request: string;
            pod_name: string;
            port: number;
            ports: Record<string, number>;
            provider: string;
            session_id: string;
            status_history: {
                status: string;
                time_stamp: string;
            }[];
        };
        spectators: string[];
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    pagination: {
        next: string;
        previous: string;
    };
    sessions: {
        game_session_setting: {
            allow_join_in_progress: boolean;
            current_internal_player: number;
            current_player: number;
            map_name: string;
            max_internal_player: number;
            max_player: number;
            mode: string;
            num_bot: number;
            password: string;
            settings: Record<string, any>;
        };
        namespace: string;
        session_type: string;
        created_at: string;
        joinable: boolean;
        session_id: string;
        all_players: string[];
        players: string[];
        server: {
            params: string;
            status: string;
            game_version: string;
            namespace: string;
            deployment: string;
            region: string;
            allocation_id: string;
            alternate_ips: string[];
            cpu_limit: number;
            cpu_request: string;
            image_version: string;
            ip: string;
            is_override_game_version: boolean;
            last_update: string;
            mem_limit: number;
            mem_request: string;
            pod_name: string;
            port: number;
            ports: Record<string, number>;
            provider: string;
            session_id: string;
            status_history: {
                status: string;
                time_stamp: string;
            }[];
        };
        spectators: string[];
    }[];
}, {
    pagination: {
        next: string;
        previous: string;
    };
    sessions: {
        game_session_setting: {
            allow_join_in_progress: boolean;
            current_internal_player: number;
            current_player: number;
            map_name: string;
            max_internal_player: number;
            max_player: number;
            mode: string;
            num_bot: number;
            password: string;
            settings: Record<string, any>;
        };
        namespace: string;
        session_type: string;
        created_at: string;
        joinable: boolean;
        session_id: string;
        all_players: string[];
        players: string[];
        server: {
            params: string;
            status: string;
            game_version: string;
            namespace: string;
            deployment: string;
            region: string;
            allocation_id: string;
            alternate_ips: string[];
            cpu_limit: number;
            cpu_request: string;
            image_version: string;
            ip: string;
            is_override_game_version: boolean;
            last_update: string;
            mem_limit: number;
            mem_request: string;
            pod_name: string;
            port: number;
            ports: Record<string, number>;
            provider: string;
            session_id: string;
            status_history: {
                status: string;
                time_stamp: string;
            }[];
        };
        spectators: string[];
    }[];
}>;
export interface ActiveCustomGameResponse extends z.TypeOf<typeof ActiveCustomGameResponse> {
}
