import { z } from 'zod';
export declare const CreateSessionRequest: z.ZodObject<{
    game_session_setting: z.ZodObject<{
        allow_join_in_progress: z.ZodBoolean;
        current_internal_player: z.ZodNumber;
        current_player: z.ZodNumber;
        map_name: z.ZodString;
        max_internal_player: z.ZodNumber;
        max_player: z.ZodNumber;
        mode: z.ZodString;
        num_bot: z.ZodNumber;
        password: z.ZodString;
        settings: z.ZodRecord<z.ZodString, z.ZodAny>;
    }, "strip", z.ZodTypeAny, {
        allow_join_in_progress: boolean;
        current_internal_player: number;
        current_player: number;
        map_name: string;
        max_internal_player: number;
        max_player: number;
        mode: string;
        num_bot: number;
        password: string;
        settings: Record<string, any>;
    }, {
        allow_join_in_progress: boolean;
        current_internal_player: number;
        current_player: number;
        map_name: string;
        max_internal_player: number;
        max_player: number;
        mode: string;
        num_bot: number;
        password: string;
        settings: Record<string, any>;
    }>;
    game_version: z.ZodString;
    namespace: z.ZodString;
    session_type: z.ZodString;
    username: z.ZodString;
}, "strip", z.ZodTypeAny, {
    game_session_setting: {
        allow_join_in_progress: boolean;
        current_internal_player: number;
        current_player: number;
        map_name: string;
        max_internal_player: number;
        max_player: number;
        mode: string;
        num_bot: number;
        password: string;
        settings: Record<string, any>;
    };
    game_version: string;
    namespace: string;
    session_type: string;
    username: string;
}, {
    game_session_setting: {
        allow_join_in_progress: boolean;
        current_internal_player: number;
        current_player: number;
        map_name: string;
        max_internal_player: number;
        max_player: number;
        mode: string;
        num_bot: number;
        password: string;
        settings: Record<string, any>;
    };
    game_version: string;
    namespace: string;
    session_type: string;
    username: string;
}>;
export interface CreateSessionRequest extends z.TypeOf<typeof CreateSessionRequest> {
}
