import { z } from 'zod';
export declare const SessionQueryResponse: z.ZodObject<{
    pagination: z.ZodObject<{
        next: z.ZodString;
        previous: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        next: string;
        previous: string;
    }, {
        next: string;
        previous: string;
    }>;
    sessions: z.ZodArray<z.ZodObject<{
        all_players: z.ZodArray<z.ZodString, "many">;
        created_at: z.ZodString;
        game_session_setting: z.ZodObject<{
            allow_join_in_progress: z.ZodBoolean;
            current_internal_player: z.ZodNumber;
            current_player: z.ZodNumber;
            map_name: z.ZodString;
            max_internal_player: z.ZodNumber;
            max_player: z.ZodNumber;
            mode: z.ZodString;
            num_bot: z.ZodNumber;
            password: z.ZodString;
            settings: z.ZodRecord<z.ZodString, z.ZodAny>;
        }, "strip", z.ZodTypeAny, {
            allow_join_in_progress: boolean;
            current_internal_player: number;
            current_player: number;
            map_name: string;
            max_internal_player: number;
            max_player: number;
            mode: string;
            num_bot: number;
            password: string;
            settings: Record<string, any>;
        }, {
            allow_join_in_progress: boolean;
            current_internal_player: number;
            current_player: number;
            map_name: string;
            max_internal_player: number;
            max_player: number;
            mode: string;
            num_bot: number;
            password: string;
            settings: Record<string, any>;
        }>;
        game_version: z.ZodString;
        joinable: z.ZodBoolean;
        match: z.ZodObject<{
            channel: z.ZodString;
            client_version: z.ZodString;
            created_at: z.ZodString;
            deployment: z.ZodString;
            event: z.ZodString;
            game_mode: z.ZodString;
            joinable: z.ZodNullable<z.ZodOptional<z.ZodBoolean>>;
            match_id: z.ZodString;
            matching_allies: z.ZodArray<z.ZodObject<{
                matching_parties: z.ZodArray<z.ZodObject<{
                    match_attributes: z.ZodObject<{
                        first_ticket_created_at: z.ZodNumber;
                    }, "strip", z.ZodTypeAny, {
                        first_ticket_created_at: number;
                    }, {
                        first_ticket_created_at: number;
                    }>;
                    party_attributes: z.ZodRecord<z.ZodString, z.ZodAny>;
                    party_id: z.ZodString;
                    party_members: z.ZodArray<z.ZodObject<{
                        extra_attributes: z.ZodRecord<z.ZodString, z.ZodAny>;
                        user_id: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        user_id: string;
                        extra_attributes: Record<string, any>;
                    }, {
                        user_id: string;
                        extra_attributes: Record<string, any>;
                    }>, "many">;
                }, "strip", z.ZodTypeAny, {
                    match_attributes: {
                        first_ticket_created_at: number;
                    };
                    party_attributes: Record<string, any>;
                    party_id: string;
                    party_members: {
                        user_id: string;
                        extra_attributes: Record<string, any>;
                    }[];
                }, {
                    match_attributes: {
                        first_ticket_created_at: number;
                    };
                    party_attributes: Record<string, any>;
                    party_id: string;
                    party_members: {
                        user_id: string;
                        extra_attributes: Record<string, any>;
                    }[];
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                matching_parties: {
                    match_attributes: {
                        first_ticket_created_at: number;
                    };
                    party_attributes: Record<string, any>;
                    party_id: string;
                    party_members: {
                        user_id: string;
                        extra_attributes: Record<string, any>;
                    }[];
                }[];
            }, {
                matching_parties: {
                    match_attributes: {
                        first_ticket_created_at: number;
                    };
                    party_attributes: Record<string, any>;
                    party_id: string;
                    party_members: {
                        user_id: string;
                        extra_attributes: Record<string, any>;
                    }[];
                }[];
            }>, "many">;
            namespace: z.ZodString;
            party_attributes: z.ZodRecord<z.ZodString, z.ZodAny>;
            party_id: z.ZodNullable<z.ZodOptional<z.ZodString>>;
            queued_at: z.ZodNumber;
            region: z.ZodString;
            server_name: z.ZodString;
            status: z.ZodString;
            sub_game_mode: z.ZodArray<z.ZodString, "many">;
        }, "strip", z.ZodTypeAny, {
            party_id?: string | null | undefined;
            joinable?: boolean | null | undefined;
            status: string;
            namespace: string;
            created_at: string;
            party_attributes: Record<string, any>;
            channel: string;
            client_version: string;
            deployment: string;
            event: string;
            game_mode: string;
            match_id: string;
            matching_allies: {
                matching_parties: {
                    match_attributes: {
                        first_ticket_created_at: number;
                    };
                    party_attributes: Record<string, any>;
                    party_id: string;
                    party_members: {
                        user_id: string;
                        extra_attributes: Record<string, any>;
                    }[];
                }[];
            }[];
            queued_at: number;
            region: string;
            server_name: string;
            sub_game_mode: string[];
        }, {
            party_id?: string | null | undefined;
            joinable?: boolean | null | undefined;
            status: string;
            namespace: string;
            created_at: string;
            party_attributes: Record<string, any>;
            channel: string;
            client_version: string;
            deployment: string;
            event: string;
            game_mode: string;
            match_id: string;
            matching_allies: {
                matching_parties: {
                    match_attributes: {
                        first_ticket_created_at: number;
                    };
                    party_attributes: Record<string, any>;
                    party_id: string;
                    party_members: {
                        user_id: string;
                        extra_attributes: Record<string, any>;
                    }[];
                }[];
            }[];
            queued_at: number;
            region: string;
            server_name: string;
            sub_game_mode: string[];
        }>;
        namespace: z.ZodString;
        players: z.ZodArray<z.ZodString, "many">;
        server: z.ZodObject<{
            allocation_id: z.ZodString;
            alternate_ips: z.ZodArray<z.ZodString, "many">;
            cpu_limit: z.ZodNumber;
            cpu_request: z.ZodString;
            deployment: z.ZodString;
            game_version: z.ZodString;
            image_version: z.ZodString;
            ip: z.ZodString;
            is_override_game_version: z.ZodBoolean;
            last_update: z.ZodString;
            mem_limit: z.ZodNumber;
            mem_request: z.ZodString;
            namespace: z.ZodString;
            params: z.ZodString;
            pod_name: z.ZodString;
            port: z.ZodNumber;
            ports: z.ZodRecord<z.ZodString, z.ZodNumber>;
            provider: z.ZodString;
            region: z.ZodString;
            session_id: z.ZodString;
            status: z.ZodString;
            status_history: z.ZodArray<z.ZodObject<{
                status: z.ZodString;
                time_stamp: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                status: string;
                time_stamp: string;
            }, {
                status: string;
                time_stamp: string;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            params: string;
            status: string;
            game_version: string;
            namespace: string;
            deployment: string;
            region: string;
            allocation_id: string;
            alternate_ips: string[];
            cpu_limit: number;
            cpu_request: string;
            image_version: string;
            ip: string;
            is_override_game_version: boolean;
            last_update: string;
            mem_limit: number;
            mem_request: string;
            pod_name: string;
            port: number;
            ports: Record<string, number>;
            provider: string;
            session_id: string;
            status_history: {
                status: string;
                time_stamp: string;
            }[];
        }, {
            params: string;
            status: string;
            game_version: string;
            namespace: string;
            deployment: string;
            region: string;
            allocation_id: string;
            alternate_ips: string[];
            cpu_limit: number;
            cpu_request: string;
            image_version: string;
            ip: string;
            is_override_game_version: boolean;
            last_update: string;
            mem_limit: number;
            mem_request: string;
            pod_name: string;
            port: number;
            ports: Record<string, number>;
            provider: string;
            session_id: string;
            status_history: {
                status: string;
                time_stamp: string;
            }[];
        }>;
        session_id: z.ZodString;
        session_type: z.ZodString;
        spectators: z.ZodArray<z.ZodString, "many">;
        user_id: z.ZodString;
        username: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        user_id: string;
        game_session_setting: {
            allow_join_in_progress: boolean;
            current_internal_player: number;
            current_player: number;
            map_name: string;
            max_internal_player: number;
            max_player: number;
            mode: string;
            num_bot: number;
            password: string;
            settings: Record<string, any>;
        };
        game_version: string;
        namespace: string;
        session_type: string;
        username: string;
        created_at: string;
        joinable: boolean;
        session_id: string;
        all_players: string[];
        match: {
            party_id?: string | null | undefined;
            joinable?: boolean | null | undefined;
            status: string;
            namespace: string;
            created_at: string;
            party_attributes: Record<string, any>;
            channel: string;
            client_version: string;
            deployment: string;
            event: string;
            game_mode: string;
            match_id: string;
            matching_allies: {
                matching_parties: {
                    match_attributes: {
                        first_ticket_created_at: number;
                    };
                    party_attributes: Record<string, any>;
                    party_id: string;
                    party_members: {
                        user_id: string;
                        extra_attributes: Record<string, any>;
                    }[];
                }[];
            }[];
            queued_at: number;
            region: string;
            server_name: string;
            sub_game_mode: string[];
        };
        players: string[];
        server: {
            params: string;
            status: string;
            game_version: string;
            namespace: string;
            deployment: string;
            region: string;
            allocation_id: string;
            alternate_ips: string[];
            cpu_limit: number;
            cpu_request: string;
            image_version: string;
            ip: string;
            is_override_game_version: boolean;
            last_update: string;
            mem_limit: number;
            mem_request: string;
            pod_name: string;
            port: number;
            ports: Record<string, number>;
            provider: string;
            session_id: string;
            status_history: {
                status: string;
                time_stamp: string;
            }[];
        };
        spectators: string[];
    }, {
        user_id: string;
        game_session_setting: {
            allow_join_in_progress: boolean;
            current_internal_player: number;
            current_player: number;
            map_name: string;
            max_internal_player: number;
            max_player: number;
            mode: string;
            num_bot: number;
            password: string;
            settings: Record<string, any>;
        };
        game_version: string;
        namespace: string;
        session_type: string;
        username: string;
        created_at: string;
        joinable: boolean;
        session_id: string;
        all_players: string[];
        match: {
            party_id?: string | null | undefined;
            joinable?: boolean | null | undefined;
            status: string;
            namespace: string;
            created_at: string;
            party_attributes: Record<string, any>;
            channel: string;
            client_version: string;
            deployment: string;
            event: string;
            game_mode: string;
            match_id: string;
            matching_allies: {
                matching_parties: {
                    match_attributes: {
                        first_ticket_created_at: number;
                    };
                    party_attributes: Record<string, any>;
                    party_id: string;
                    party_members: {
                        user_id: string;
                        extra_attributes: Record<string, any>;
                    }[];
                }[];
            }[];
            queued_at: number;
            region: string;
            server_name: string;
            sub_game_mode: string[];
        };
        players: string[];
        server: {
            params: string;
            status: string;
            game_version: string;
            namespace: string;
            deployment: string;
            region: string;
            allocation_id: string;
            alternate_ips: string[];
            cpu_limit: number;
            cpu_request: string;
            image_version: string;
            ip: string;
            is_override_game_version: boolean;
            last_update: string;
            mem_limit: number;
            mem_request: string;
            pod_name: string;
            port: number;
            ports: Record<string, number>;
            provider: string;
            session_id: string;
            status_history: {
                status: string;
                time_stamp: string;
            }[];
        };
        spectators: string[];
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    pagination: {
        next: string;
        previous: string;
    };
    sessions: {
        user_id: string;
        game_session_setting: {
            allow_join_in_progress: boolean;
            current_internal_player: number;
            current_player: number;
            map_name: string;
            max_internal_player: number;
            max_player: number;
            mode: string;
            num_bot: number;
            password: string;
            settings: Record<string, any>;
        };
        game_version: string;
        namespace: string;
        session_type: string;
        username: string;
        created_at: string;
        joinable: boolean;
        session_id: string;
        all_players: string[];
        match: {
            party_id?: string | null | undefined;
            joinable?: boolean | null | undefined;
            status: string;
            namespace: string;
            created_at: string;
            party_attributes: Record<string, any>;
            channel: string;
            client_version: string;
            deployment: string;
            event: string;
            game_mode: string;
            match_id: string;
            matching_allies: {
                matching_parties: {
                    match_attributes: {
                        first_ticket_created_at: number;
                    };
                    party_attributes: Record<string, any>;
                    party_id: string;
                    party_members: {
                        user_id: string;
                        extra_attributes: Record<string, any>;
                    }[];
                }[];
            }[];
            queued_at: number;
            region: string;
            server_name: string;
            sub_game_mode: string[];
        };
        players: string[];
        server: {
            params: string;
            status: string;
            game_version: string;
            namespace: string;
            deployment: string;
            region: string;
            allocation_id: string;
            alternate_ips: string[];
            cpu_limit: number;
            cpu_request: string;
            image_version: string;
            ip: string;
            is_override_game_version: boolean;
            last_update: string;
            mem_limit: number;
            mem_request: string;
            pod_name: string;
            port: number;
            ports: Record<string, number>;
            provider: string;
            session_id: string;
            status_history: {
                status: string;
                time_stamp: string;
            }[];
        };
        spectators: string[];
    }[];
}, {
    pagination: {
        next: string;
        previous: string;
    };
    sessions: {
        user_id: string;
        game_session_setting: {
            allow_join_in_progress: boolean;
            current_internal_player: number;
            current_player: number;
            map_name: string;
            max_internal_player: number;
            max_player: number;
            mode: string;
            num_bot: number;
            password: string;
            settings: Record<string, any>;
        };
        game_version: string;
        namespace: string;
        session_type: string;
        username: string;
        created_at: string;
        joinable: boolean;
        session_id: string;
        all_players: string[];
        match: {
            party_id?: string | null | undefined;
            joinable?: boolean | null | undefined;
            status: string;
            namespace: string;
            created_at: string;
            party_attributes: Record<string, any>;
            channel: string;
            client_version: string;
            deployment: string;
            event: string;
            game_mode: string;
            match_id: string;
            matching_allies: {
                matching_parties: {
                    match_attributes: {
                        first_ticket_created_at: number;
                    };
                    party_attributes: Record<string, any>;
                    party_id: string;
                    party_members: {
                        user_id: string;
                        extra_attributes: Record<string, any>;
                    }[];
                }[];
            }[];
            queued_at: number;
            region: string;
            server_name: string;
            sub_game_mode: string[];
        };
        players: string[];
        server: {
            params: string;
            status: string;
            game_version: string;
            namespace: string;
            deployment: string;
            region: string;
            allocation_id: string;
            alternate_ips: string[];
            cpu_limit: number;
            cpu_request: string;
            image_version: string;
            ip: string;
            is_override_game_version: boolean;
            last_update: string;
            mem_limit: number;
            mem_request: string;
            pod_name: string;
            port: number;
            ports: Record<string, number>;
            provider: string;
            session_id: string;
            status_history: {
                status: string;
                time_stamp: string;
            }[];
        };
        spectators: string[];
    }[];
}>;
export interface SessionQueryResponse extends z.TypeOf<typeof SessionQueryResponse> {
}
